<?php 
include "../config/connect.php";

// Menggunakan PDO untuk koneksi database
try {

    // Mengambil parameter 'dropdown' dan 'option' dari query string
    $dropdown = isset($_GET['dropdown']) ? $_GET['dropdown'] : '';
    $option = isset($_GET['option']) ? $_GET['option'] : '';

    $options = array();

    switch ($dropdown) {
        case 'dropoption2':
            // Query untuk data paket
            $stmt = $pdo->prepare("SELECT id_data_server, nama FROM v_list_gudang WHERE id_data_server = :id_data_server");
            $stmt->execute([':id_data_server' => $option]);
            $options = $stmt->fetchAll(PDO::FETCH_ASSOC);
            break;
        default:
            $options = [];
            break;
    }
    // Mengembalikan data dalam format JSON
    header('Content-Type: application/json');
    echo json_encode($options);

} catch (PDOException $e) {
    // Mengembalikan error dalam format JSON
    header('Content-Type: application/json');
    echo json_encode(['error' => $e->getMessage()]);
}
?>